# Form implementation generated from reading ui file 'src/eric7/Project/AddFoundFilesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_AddFoundFilesDialog(object):
    def setupUi(self, AddFoundFilesDialog):
        AddFoundFilesDialog.setObjectName("AddFoundFilesDialog")
        AddFoundFilesDialog.resize(600, 480)
        AddFoundFilesDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(AddFoundFilesDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.fileList = QtWidgets.QListWidget(parent=AddFoundFilesDialog)
        self.fileList.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarPolicy.ScrollBarAlwaysOn)
        self.fileList.setAlternatingRowColors(True)
        self.fileList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.fileList.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectionBehavior.SelectRows)
        self.fileList.setObjectName("fileList")
        self.vboxlayout.addWidget(self.fileList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=AddFoundFilesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(AddFoundFilesDialog)
        self.buttonBox.rejected.connect(AddFoundFilesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(AddFoundFilesDialog)

    def retranslateUi(self, AddFoundFilesDialog):
        _translate = QtCore.QCoreApplication.translate
        AddFoundFilesDialog.setWindowTitle(_translate("AddFoundFilesDialog", "Add found files to project"))
        AddFoundFilesDialog.setToolTip(_translate("AddFoundFilesDialog", "Adds the found files to the current project."))
        self.fileList.setToolTip(_translate("AddFoundFilesDialog", "List of found files."))
        self.fileList.setSortingEnabled(True)
